/*
the data structure file to hold switch configuration
*/

#ifndef DEF_SWITCH_DATA__
#define DEF_SWITCH_DATA__

typedef struct SwitchDef
{
	short 	swNo;			//switch number(give a fixed number)
	char 	swName[50];		//switch name(give a fixed name)
	long	swType;			//switch type
					// 0: REGULAR_SW,       regular sw, 
					// 0x0001: SETOUT_SW,   setout sw, 
					// 0x0002: ESCAPE_SW,   escape sw, 
					// 0x0004: THROAT_SW,   switch in throat area, 
					// 0x0008: BEFORE_RET_SW,       before retarder, 
					// 0x0010: AFTER_RET_SW,        after retarder
					// 0x0020: CROSSOVER_A_SW,      crossover switch A 
					// 0x0040: CROSSOVER_B_SW,      crossover switch B 
					// 0x0080: CREST_SW,    switch in crest area
					// 0x0100: E_POWER_SW,  electric power sw 
					// 0x0200: N_POWER_SW,  neumatic power sw 
					// 0x0400: M_POWER_SW,  manual sw
	char	swPos;			//switch current position(normal, reverse, no position)
	char	swLastPos;		//switch last position
	long	swStatus;		//switch status(occupancy, lockout)
	long	swLastStatus;		//switch last status
	char	swReqPos;		//switch request position
	char	swLastReqPos;		//switch last request position
	bool	flag;			//true = can control, false = cannot control
	bool	kickFlag;		//kick back flag. True: already kick back, do not need kick back again. False: do kick back
}SWITCH_DEF_DATA;
#endif
